Raritan PX2/PX3 JSON-RPC API: lhxmodel::Parameter_2_0_1 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
lhxmodel::Parameter_2_0_1 Interface Reference

LHX Parameter Interface. More...

`import"LhxParameter.idl";`

## Classes
struct | MetaData
| Parameter Metadata. More...
struct | Status
| Parameter Status. More...
struct | Value
| Parameter Value. More...

## Public Types
enum | Unit { NONE, NUMBER, BINARY, TEMP_ABS, TEMP_REL, BAR, PASCAL, SIEMENS, METER, VOLT, AMPERE, HOURS, MINUTES, SECONDS, TIME, METERS_PER_SECOND, NEWTON, GRAMMS, HUMIDITY_REL, HERTZ, OHM, PERCENT, LITERS_PER_MINUTE, LITERS_PER_HOUR }
| Parameter Unit. More...

## Public Member Functions
MetaData | getMetaData ()
| Retrieve the parameter metadata. More...
Value | getValue ()
| Retrieve the parameter value. More...
int | getRawValue ()
| Retrieve the parameter raw value. More...
int | setRawValue (in int rawValue, in boolean validateRange)
| Change the parameter value. More...

## Public Attributes
constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.
constant int | ERR_READ_ONLY = 2
| Attempt to write a read-only parameter.
valueobject | MetaDataChangedEvent: idl::Event { MetaData oldMetaData
| Event: Parameter metadata has been changed. More...
MetaData | newMetaData
| Metadata after change.
valueobject | ValueChangedEvent: idl::Event { Value newValue
| Event: Parameter value has changed. More...

## Detailed Description

LHX Parameter Interface.

## Member Enumeration Documentation

## ◆ Unit

enum lhxmodel::Parameter_2_0_1::Unit

Parameter Unit.

Enumerator
NONE | No unit.
NUMBER | Number.
BINARY | Binary.
TEMP_ABS | Absolute temperature.
TEMP_REL | Relative temperature.
BAR | Bar.
PASCAL | Pascal.
SIEMENS | Siemens.
METER | Meter.
VOLT | Volt.
AMPERE | Ampere.
HOURS | Hours.
MINUTES | Minutes.
SECONDS | Seconds.
TIME | Time.
METERS_PER_SECOND | Meters/second.
NEWTON | Newton.
GRAMMS | Gramms.
HUMIDITY_REL | Relative humidity.
HERTZ | Hertz.
OHM | Ohm.
PERCENT | Percent.
LITERS_PER_MINUTE | Liters/minute.
LITERS_PER_HOUR | Liters/hour.

## Member Function Documentation

## ◆ getMetaData()

MetaData lhxmodel::Parameter_2_0_1::getMetaData | ( |  | ) |

Retrieve the parameter metadata.

Returns
  Parameter metadata

## ◆ getRawValue()

int lhxmodel::Parameter_2_0_1::getRawValue | ( |  | ) |

Retrieve the parameter raw value.

Returns
  Raw value

## ◆ getValue()

Value lhxmodel::Parameter_2_0_1::getValue | ( |  | ) |

Retrieve the parameter value.

Returns
  Parameter value

## ◆ setRawValue()

int lhxmodel::Parameter_2_0_1::setRawValue | ( | in int | rawValue,
|  | in boolean | validateRange
| ) |  |

Change the parameter value.

Parameters

  rawValue | New value
  validateRange | validate value against parameter range

Returns
  0 if OK
  ERR_INVALID_PARAMS if any parameter value is invalid
  ERR_READ_ONLY if attempting to write read only parameter

## Member Data Documentation

## ◆ MetaDataChangedEvent

valueobject lhxmodel::Parameter_2_0_1::MetaDataChangedEvent

Event: Parameter metadata has been changed.

Metadata before change

## ◆ ValueChangedEvent

valueobject lhxmodel::Parameter_2_0_1::ValueChangedEvent

Event: Parameter value has changed.

New parameter value

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/LhxParameter.idl